# gtester

test running utility

## SYNOPSIS

gtester [OPTION…] test-program

## DESCRIPTION

gtester is a utility to run unit tests that have been written using the GLib test framework.

Since GLib 2.62, gtester-report is deprecated. Use TAP for reporting test results instead, and feed it to the test harness provided by your build system.

When called with the -o option, gtester writes an XML report of the test results, which can be converted into HTML using the gtester-report utility.

## OPTIONS

-h, --help

> Print help and exit.

-v, --verbose

> Print version information and exit.

--g-fatal-warnings

> Make warnings fatal.

-k, --keep-going

> Continue running after tests failed.

-l

> List paths of available test cases.

-m=<MODE>

> Run test cases in MODE, which can be one of:

> - perf

>   Run performance tests.

> - slow, thorough

>   Run slow tests, or repeat non-deterministic tests more often.

> - quick

>   Do not run slow or performance tests, or do extra repeats of non-deterministic tests (default).

> - undefined

>   Run test cases that deliberately provoke checks or assertion failures, if implemented (default).

> - no-undefined

>   Do not run test cases that deliberately provoke checks or assertion failures.

-p=<TEST-PATH>

> Only run test cases matching TEST-PATH.

-s=<TEST-PATH>

> Skip test cases matching TEST-PATH.

--seed=<SEED-STRING>

> Run all test cases with random number seed SEED-STRING.

-o=<LOG-FILE>

> Write the test log to LOG-FILE.

-q, --quiet

> Suppress per-test-binary output.

--verbose

> Report success per testcase.

## SEE ALSO

gtester-report(1)